#
# spec file for package sweeper
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sweeper
Version:        15.12.0
Release:        0
Summary:        KDE Privacy Utility
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        sweeper-%{version}.tar.xz
Patch1:         desktop-files.diff
BuildRequires:  libkde4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Helps clean unwanted traces the user leaves on the system.

%prep
%setup -q -n sweeper-%{version}
%patch1

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%make_install
%suse_update_desktop_file sweeper Utility Security
%kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_kde4_bindir/sweeper
%_kde4_applicationsdir/sweeper.desktop
%{_datadir}/dbus-1/interfaces/*.xml
%_kde4_htmldir/en/sweeper/
%_kde4_appsdir/sweeper/

%changelog
